%define name	libmcrypt
%define version	2.4.15
%define release	4rph

%define major	4
%define libname	%{name}%{major}


Summary:	Thread-safe data encryption library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
URL:		http://mcrypt.hellug.gr
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.
     Some algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more. 

%package -n %{libname}
Summary:	Thread-safe data encryption library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.
     Some algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more. 


%package -n %{libname}-devel
Summary:	Header files and libraries for developing apps with libmcrypt
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the header files and libraries needed to
develop programs that use the libmcrypt library.
Install it if you want to develop such applications.

%prep
%setup -q
# redefine __libtoolize to avoid forcing libtoolize in configure macro
%define __libtoolize /bin/true
%configure --program-prefix=""

%build
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL KNOWN-BUGS NEWS README THANKS TODO doc/README.* doc/*.c
%{_mandir}/man3/*
%{_bindir}/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{name}
%{_includedir}/*.h
%{_datadir}/aclocal/*.m4

%changelog
* Tue Apr 16 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.4.15-4rph
- rebuild with rph extension

* Fri Oct  5 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.4.15-3mdk
- some spec cleanups

* Tue Aug 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4.15-2mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> 
	- Provides: made library policy-compliant

* Wed Jul 18 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 2.4.15-1mdk
- Initial Mandrake build

# end of file
